Application: gvSIG desktop - gvSIG bugs #3608
There's an error in the Filter tool when the text has an apostrophe
Description

When we use the Filter tool in a String field, and the text has an apostrophe it doesn't work, we get an error.
For example:
Comarca= 'L'Alcoia’

It doesn't work even writing two apostrophes:
Comarca= "L"Alcoia’

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3609: The "?" doesn't wo... Invalid 06/23/2015

History

#1 - 06/23/2015 10:13 AM - Mario Carrera
- Related to gvSIG bugs #3609: The "?" doesn't work when using the "like" parameter at the Filter tool added

#2 - 06/23/2015 01:56 PM - Francisco Puga

In fact is not possible to write a text in the table that contains a single quote (key {' ? } in spanish keyboard) neither an apostrophe (key { * * }in

spanish keyboard).

To reproduce start editing on a table and try to write a text like L'Alcoia. Only 'L' will be written.

#3 - 06/23/2015 03:16 PM - Antonio Falciano

Hi all,

the error messages suggest me that the escape character should be backslash:

Comarca = 'L\'Alcoia’

but unfortunately it doesn't work as expected here.

Workaround: use the wildcard char for a single char (underscore) in place of the internal single quote. So the example above becomes:

Comarca like 'L_Alcoia’
#4 - 03/05/2019 03:17 PM - Alvaro Anguix
- Status changed from New to Closed

With the new filter it works fine

#5 - 03/05/2019 03:17 PM - Alvaro Anguix
- Target version set to 2.5.0-2914 (rev. org.gvsig.desktop-2.0.242)
